## ros-melodic-tf2-ros 0.6.5

=== debian/changelog ===
ros-melodic-tf2-ros (0.6.5-0bionic) bionic; urgency=high

  * Protect the time reset logic from a race condition.
    Fixes #341 <https://github.com/ros/geometry2/issues/341>
    This could incorrectly trigger a buffer clear if two concurrent callbacks were invoked.
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-melodic-tf2-ros (0.6.4-0bionic) bionic; urgency=high

  * fix(buffer-client): Use actionlib api for obtaining result
    Use the API provided by actionlib for waiting for result. This will improve the response time and prevent problems with custom solutions (see #178 <https://github.com/ros/geometry2/issues/178>). This change makes constructor parameter check_frequency obsolute and deprecates it.
  * Add check to buffer_client.py to make sure result is available
    Related issue: #178 <https://github.com/ros/geometry2/issues/178>
  * Add check to reset buffer when rostime goes backwards
  * Fixed the value of expected_success_count_
  * Added a tf2_ros message filter unittest with multiple target frames and non-zero time tolerance
  * Contributors: Ewoud Pool, Jørgen Borgesen, Stephen Williams

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 06 Nov 2018 08:00:00 -0000

ros-melodic-tf2-ros (0.6.3-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 09 Jul 2018 07:00:00 -0000

ros-melodic-tf2-ros (0.6.2-0bionic) bionic; urgency=high

  * update buffer_server_name (#296 <https://github.com/ros/geometry2/issues/296>)
    * use nodename as namespace
    * Update #209 <https://github.com/ros/geometry2/issues/209> to provide backwards compatibility.
  * Contributors: Jihoon Lee, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 May 2018 07:00:00 -0000

ros-melodic-tf2-ros (0.6.1-0bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 21 Mar 2018 07:00:00 -0000

ros-melodic-tf2-ros (0.6.0-0bionic) bionic; urgency=high

  * tf2_ros::Buffer: canTransform can now deal with timeouts smaller than 10ms by using the hunderdth of the timeout for sleeping (#286 <https://github.com/ros/geometry2/issues/286>)
  * More spinning to make sure the message gets through for #129 <https://github.com/ros/geometry2/issues/129> #283 <https://github.com/ros/geometry2/issues/283>
  * Contributors: Tully Foote, cwecht

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 21 Mar 2018 07:00:00 -0000

ros-melodic-tf2-ros (0.5.17-0bionic) bionic; urgency=high

  * Merge pull request #260 <https://github.com/ros/geometry2/issues/260> from randoms/indigo-devel
    fix python3 import error
  * Merge pull request #257 <https://github.com/ros/geometry2/issues/257> from delftrobotics-forks/python3
    Make tf2_py python3 compatible again
  * Use python3 print function.
  * Contributors: Maarten de Vries, Tully Foote, randoms

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 01 Jan 2018 08:00:00 -0000

ros-melodic-tf2-ros (0.5.16-0bionic) bionic; urgency=high

  * Merge pull request #144 <https://github.com/ros/geometry2/issues/144> from clearpathrobotics/dead_lock_fix
    Solve a bug that causes a deadlock in MessageFilter
  * Clear error string if it exists from the external entry points.
    Fixes #117 <https://github.com/ros/geometry2/issues/117>
  * Make buff_size and tcp_nodelay and subscriber queue size mutable.
  * Remove generate_rand_vectors() from a number of tests. (#227 <https://github.com/ros/geometry2/issues/227>)
    * Remove generate_rand_vectors() from a number of tests.
  * Log jump duration on backwards time jump detection. (#234 <https://github.com/ros/geometry2/issues/234>)
  * replaced dependencies on tf2_msgs_gencpp by exported dependencies
  * Use new-style objects in python 2
  * Solve a bug that causes a deadlock in MessageFilter
  * Contributors: Adel Fakih, Chris Lalancette, Christopher Wecht, Eric Wieser, Koji Terada, Stephan, Tully Foote, koji_terada

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 07:00:00 -0000

ros-melodic-tf2-ros (0.5.15-0bionic) bionic; urgency=high

  * tf2_ros: add option to unregister TransformListener (#201 <https://github.com/ros/geometry2/issues/201>)
  * Contributors: Hans-Joachim Krauch

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-melodic-tf2-ros (0.5.14-0bionic) bionic; urgency=high

  * Drop roslib.load_manifest (#191 <https://github.com/ros/geometry2/issues/191>)
  * Adds ability to load TF from the ROS parameter server.
  * Code linting & reorganization
  * Fix indexing beyond end of array
  * added a static transform broadcaster in python
  * lots more documentation
  * remove BufferCore doc, add BufferClient/BufferServer doc for C++, add Buffer/BufferInterface Python documentation
  * Better overview for Python
  * Contributors: Eric Wieser, Felix Duvallet, Jackie Kay, Mikael Arguedas, Mike Purvis

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 08:00:00 -0000

ros-melodic-tf2-ros (0.5.13-0bionic) bionic; urgency=high

  * fix documentation warnings
  * Adding tests to package
  * Contributors: Laurent GEORGE, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-melodic-tf2-ros (0.5.12-0bionic) bionic; urgency=high

  * remove annoying gcc warning
    This is because the roslog macro cannot have two arguments that are
    formatting strings: we need to concatenate them first.
  * break canTransform loop only for non-tiny negative time deltas
    (At least) with Python 2 ros.Time.now() is not necessarily monotonic
    and one can experience negative time deltas (usually well below 1s)
    on real hardware under full load. This check was originally introduced
    to allow for backjumps with rosbag replays, and only there it makes sense.
    So we'll add a small duration threshold to ignore backjumps due to
    non-monotonic clocks.
  * Contributors: Vincent Rabaud, v4hn


