=== debian/control ===
Source: ros-melodic-tf2-ros
Section: misc
Priority: extra
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin (>= 0.5.68), ros-melodic-geometry-msgs, ros-melodic-message-filters (>= 1.11.1), ros-melodic-roscpp, ros-melodic-rosgraph, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-msgs, ros-melodic-tf2-py, ros-melodic-xmlrpcpp
Homepage: http://www.ros.org/wiki/tf2_ros
Standards-Version: 3.9.2

Package: ros-melodic-tf2-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-roscpp, ros-melodic-rosgraph, ros-melodic-rospy, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-msgs, ros-melodic-tf2-py, ros-melodic-xmlrpcpp
Description: This package contains the ROS bindings for the tf2 library, for both Python and C++.
